Package Details: vorta 0.8.4-1

Git Clone URL: https://aur.archlinux.org/vorta.git (read-only, click to copy)
Package Base: vorta
Description: A GUI for BorgBackup
Upstream URL: https://github.com/borgbase/vorta
Keywords: backup borg
Licenses: GPL
Submitter: bjo
Maintainer: bjo
Last Packager: bjo
Votes: 43
Popularity: 2.78
First Submitted: 2018-11-19 21:33 (UTC)
Last Updated: 2022-05-06 19:53 (UTC)

Latest Comments

emacsomancer commented on 2021-10-22 04:27 (UTC)

@yochanamarqos: thanks! (I guess using the flatpak version is a temporary workaround.)

yochananmarqos commented on 2021-10-22 04:25 (UTC)

@emacsomancer: There's an open issue about it: https://github.com/borgbase/vorta/issues/1083

emacsomancer commented on 2021-10-22 03:29 (UTC) (edited on 2021-10-22 03:29 (UTC) by emacsomancer)

I'm now getting errors when i try to run vorta:

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (tzlocal 4.0.1 (/usr/lib/python3.9/site-packages), Requirement.parse('tzlocal~=2.0'), {'apscheduler'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/vorta", line 33, in <module>
    sys.exit(load_entry_point('vorta==0.7.8', 'gui_scripts', 'vorta')())
  File "/usr/bin/vorta", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/vorta/__main__.py", line 10, in <module>
    from vorta.models import init_db
  File "/usr/lib/python3.9/site-packages/vorta/models.py", line 17, in <module>
    from vorta.utils import slugify
  File "/usr/lib/python3.9/site-packages/vorta/utils.py", line 21, in <module>
    from vorta.borg._compatibility import BorgCompatibility
  File "/usr/lib/python3.9/site-packages/vorta/borg/_compatibility.py", line 1, in <module>
    from pkg_resources import parse_version
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'tzlocal~=2.0' distribution was not found and is required by apscheduler

yochananmarqos commented on 2021-07-14 23:00 (UTC)

@renyuneyun: Nope. Can't reproduce it building in a clean chroot.

@bjo: python-setuptools is only required to build.

renyuneyun commented on 2021-07-14 21:56 (UTC)

Two more missing dependencies: python-setuptools-git and python-pytest-runner. Missing them would cause pip to infinitely search for a valid version for them and it always fails:

WARNING: Discarding https://files.pythonhosted.org/packages/05/97/dd99fa9c0d9627a7b3c103a00f1566d8193aca8d473884ed258cca82b06f/setuptools_git-1.2-py2.py3-none-any.whl#sha256=e7764dccce7d97b4b5a330d7b966aac6f9ac026385743fd6cedad553f2494cfa (from https://pypi.org/simple/setuptools-git/). Requested setuptools_git from https://files.pythonhosted.org/packages/05/97/dd99fa9c0d9627a7b3c103a00f1566d8193aca8d473884ed258cca82b06f/setuptools_git-1.2-py2.py3-none-any.whl#sha256=e7764dccce7d97b4b5a330d7b966aac6f9ac026385743fd6cedad553f2494cfa has different version in metadata: '1.2'

(Though I'm not sure why pip complains about this, rather than finding the latest version and use it.)

ruata commented on 2021-06-20 17:59 (UTC)

Hello Below is my patch it's also fixes icon, as no "-symbolic" in com.borgbase.Vorta.desktop file

diff --git a/PKGBUILD b/PKGBUILD
index 772228c..182e40b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,17 +6,17 @@ pkgdesc="A GUI for BorgBackup"
 arch=('any')
 url="https://github.com/borgbase/vorta"
 license=('GPL')
-depends=('borg' 'python-appdirs' 'python-apscheduler' 'python-pyqt5<=5.15.3' 'python-peewee' 'python-paramiko' 'python-dateutil' 'python-secretstorage' 'python-psutil' 'python-llfuse' 'python-setuptools')
+depends=('borg' 'python-appdirs' 'python-apscheduler' 'python-pyqt5' 'python-peewee' 'python-paramiko' 'python-dateutil' 'python-secretstorage' 'python-psutil' 'python-llfuse' 'python-setuptools')
 makedepends=('qt5-tools' 'python-pip')
 options=(!emptydirs)
 source=("$pkgname-$pkgver.tar.gz::https://github.com/borgbase/$pkgname/archive/v$pkgver.tar.gz")
 sha256sums=('db2adab76ac46107976d3ef408e78ad5f7df13ee96fb25feb161fda155129670')
-          

 build() {

   cd "$pkgname-$pkgver"
   make translations-to-qm
+  sed -i 's/  pyqt5.*/  pyqt5/g' setup.cfg
   python setup.py build
 }

@@ -31,6 +31,9 @@ package() {
     "$pkgdir/usr/share/metainfo"
   install -Dm644 "src/$pkgname/assets/metadata/com.borgbase.Vorta.desktop" -t \
     "$pkgdir/usr/share/applications"
+  sed -i 's/com.borgbase.Vorta/com.borgbase.Vorta-symbolic/g' $pkgdir/usr/share/applications/com.borgbase.Vorta.desktop

bjo commented on 2021-06-20 10:15 (UTC)

I hope I will find some time today to include the patch.

languitar commented on 2021-06-20 09:43 (UTC)

Any chance to include the required patches here in the package as long as they are not merged upstream to get this package going again?

mikesco3 commented on 2021-06-17 02:50 (UTC) (edited on 2021-06-17 02:55 (UTC) by mikesco3)

I ended up installing it with
trizen -S vorta
then editing the line were it required 'pyqt5<=5.15.3' and changing it to just say 'pyqt5'

then installed vorta, but when I tried to run it, it wouldn't work,
but then I edited the file:
/usr/lib/python3.9/site-packages/vorta-0.7.5-py3.9.egg-info/requires.txt
and also changed line 3 where it says pyqt5<=5.15.3 to just say pyqt5
Then Vorta run perfectly :)
Thank you @bjo

bjo commented on 2021-06-15 09:13 (UTC)

@mikesco3: Could you check if https://github.com/borgbase/vorta/issues/1011#issuecomment-859129957 works for you?

mikesco3 commented on 2021-06-13 22:13 (UTC) (edited on 2021-06-13 22:13 (UTC) by mikesco3)

I'm also getting the 'pyqt5<=5.15.3' dependency error when trying to update. luckily I had vorta previously installed and it's just nagging every day for the update...
however any chance anyone knows when it might be fixed?

bjo commented on 2021-06-08 18:45 (UTC)

https://github.com/borgbase/vorta/issues/1011, so I'll have to update the deps.

m8D2 commented on 2021-06-08 18:38 (UTC) (edited on 2021-06-08 23:01 (UTC) by m8D2)

I have a similar issue with python-pyqt5. The current version in repo is 5.15.4, today after the upgrade, vorta can't run because of this:

...
pkg_resources.DistributionNotFound: The 'pyqt5<=5.15.3' distribution was not found and is required by vorta

I'm guessing downgrading python-pyqt5 to 5.15.3 probably works, but haven't tested yet.

Edited: Downgrading vorta to 0.7.5 also works (tested).

bjo commented on 2021-02-27 10:01 (UTC) (edited on 2021-02-27 10:02 (UTC) by bjo)

The issue was caused by the python-pyqt5 package and it has been fixed: https://bugs.archlinux.org/task/69802

bjo commented on 2021-02-26 16:58 (UTC)

I was able to reproduce it now and created a issue: https://github.com/borgbase/vorta/issues/896 But IMHO it's still not clear if something is wrong with the python-pyqt5 package.

f0rdprefect commented on 2021-02-26 15:34 (UTC)

Yepp same here. downgrade works.

lfcr commented on 2021-02-26 10:17 (UTC) (edited on 2021-02-26 18:01 (UTC) by lfcr)

Sorry, vorta 0.7.4 same problem. Only downgrade python-pyqt5-5.15.2-3 works.

dlandau commented on 2021-02-26 07:04 (UTC)

I tried installing the full pyqt5-group. It didn't help. In order to downgrade to python-pyqt5-5.15.2 I had to first uninstall python-pyqt5-networkauth that got pulled in from the group and had conflicting files with the older version. After that vorta works again.

igno2k commented on 2021-02-25 20:31 (UTC)

Same here - works fine with python-pyqt5-5.15.2 (after downgrading from python-pyqt5-5.15.3)

bjo commented on 2021-02-25 15:55 (UTC)

I can't reproduce the issue. can you check if rebuilding helps?

bjo commented on 2021-02-25 12:55 (UTC)

Strange, I will take a look later. Does it help if you install the whole pyqt5-group?

dlandau commented on 2021-02-25 12:44 (UTC)

python-pyqt5 5.15.3-1 here, same issue (error message again for formatting)

Traceback (most recent call last):
  File "/usr/bin/vorta", line 33, in <module>
    sys.exit(load_entry_point('vorta==0.7.3', 'gui_scripts', 'vorta')())
  File "/usr/bin/vorta", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/vorta/__main__.py", line 9, in <module>
    from vorta.models import init_db
  File "/usr/lib/python3.9/site-packages/vorta/models.py", line 17, in <module>
    from vorta.utils import slugify
  File "/usr/lib/python3.9/site-packages/vorta/utils.py", line 23, in <module>
    from vorta.borg._compatibility import BorgCompatibility
  File "/usr/lib/python3.9/site-packages/vorta/borg/_compatibility.py", line 1, in <module>
    from pkg_resources import parse_version
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'PyQt5-Qt>=5.15' distribution was not found and is required by pyqt5

bjo commented on 2021-02-25 12:10 (UTC)

Which version of python-pyqt5 do you have?

lfcr commented on 2021-02-25 12:01 (UTC)

Hi, problem with vorta 0.7.3, crashes:

Traceback (most recent call last): File "/bin/vorta", line 33, in <module> sys.exit(load_entry_point('vorta==0.7.3', 'gui_scripts', 'vorta')()) File "/bin/vorta", line 25, in importlib_load_entry_point return next(matches).load() File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load module = import_module(match.group('module')) File "/usr/lib/python3.9/importlib/init.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 1030, in _gcd_import File "<frozen importlib._bootstrap>", line 1007, in _find_and_load File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 680, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 790, in exec_module File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed File "/usr/lib/python3.9/site-packages/vorta/main.py", line 9, in <module> from vorta.models import init_db File "/usr/lib/python3.9/site-packages/vorta/models.py", line 17, in <module> from vorta.utils import slugify File "/usr/lib/python3.9/site-packages/vorta/utils.py", line 23, in <module> from vorta.borg._compatibility import BorgCompatibility File "/usr/lib/python3.9/site-packages/vorta/borg/_compatibility.py", line 1, in <module> from pkg_resources import parse_version File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 3243, in <module> def _initialize_master_working_set(): File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 3226, in _call_aside f(args, *kwargs) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 3255, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 568, in _build_master ws.require(requires) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 886, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 772, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'PyQt5-Qt>=5.15' distribution was not found and is required by pyqt5

keeks20 commented on 2021-02-02 02:24 (UTC)

@bjo: cannot add repo when using with kde (kwallet issue) see github issue closed (today) here https://github.com/borgbase/vorta/issues/606

bjo commented on 2021-01-31 12:58 (UTC)

@jrabensc: Fixed.

jrabensc commented on 2021-01-31 12:41 (UTC)

Building fails for me:

install: cannot stat 'package/icon.svg': No such file or directory
==> ERROR: A failure occurred in package().
    Aborting...

EarthMind commented on 2021-01-19 11:40 (UTC)

@samuel-w Great work! @bjo, could you add that as a patch to the PKGBUILD as long as this change is not part of an official release?

samuel-w commented on 2021-01-17 21:07 (UTC) (edited on 2021-01-17 21:17 (UTC) by samuel-w)

I created a fix for https://github.com/borgbase/vorta/issues/693. https://github.com/borgbase/vorta/commit/9af1eb5ba648fed97260a6d3ca2aa7221cd1fb74

diff --unified --recursive --text --color vorta.old/src/vorta/utils.py vorta.new/src/vorta/utils.py
--- vorta.old/src/vorta/utils.py    2020-09-10 00:27:28.000000000 -0500
+++ vorta.new/src/vorta/utils.py    2021-01-17 15:13:56.756840996 -0600
@@ -58,12 +58,11 @@


 def choose_file_dialog(parent, title, want_folder=True):
-    options = QFileDialog.Options()
-    if want_folder:
-        options |= QFileDialog.ShowDirsOnly
-    dialog = QFileDialog(parent, title, os.path.expanduser('~'), options=options)
+    dialog = QFileDialog(parent, title, os.path.expanduser('~'))
     dialog.setFileMode(QFileDialog.Directory if want_folder else QFileDialog.ExistingFiles)
     dialog.setParent(parent, QtCore.Qt.Sheet)
+    if want_folder:
+        dialog.setOption(QFileDialog.ShowDirsOnly)
     return dialog



EarthMind commented on 2021-01-13 09:41 (UTC)

I have the same problem as Toadfield on multiple machines. As a temporary workaround, I copied the paths and then pressed the Paste Folders/Files button

Toadfield commented on 2021-01-12 19:43 (UTC)

I can't add a folder to backup. If I click on "Open",nothing happens.

m8D2 commented on 2021-01-10 22:13 (UTC)

@close2: I had the same error about wrong checksum, please do a clean build, it should be fine now.

bjo commented on 2021-01-10 15:37 (UTC)

@close2: The PKGBUILD contains a sha256sum, not a sha512sum.

close2 commented on 2021-01-10 13:23 (UTC) (edited on 2021-01-10 13:23 (UTC) by close2)

The sha512sum of the (current) vorta-0.7.1.tar.gz is d079ea0219a7e8d2578a36272787594e9557101fe8be6472e08ce86499f284daec83c3f442e5c3fa4c06de9ffd85cf030956479a592cd1c5f1483ca154c7a68b

which is different to the checksum in the package.

EarthMind commented on 2021-01-06 09:56 (UTC)

The file dialog to add source folders or to mount archives or to extract files doesn't properly anymore for me. It won't open the folder. The Cancel button works though. Anyone have an idea what the cause is?

gargakumar commented on 2021-01-04 20:43 (UTC)

@yochananmarqos thanks for the tip !

yochananmarqos commented on 2021-01-04 20:27 (UTC)

@garagakumar: Sounds like you need to rebuild your Python packages from the AUR. You can see what might need to be rebuilt with rebuild-detector.

gargakumar commented on 2021-01-04 20:24 (UTC) (edited on 2021-01-04 20:41 (UTC) by gargakumar)

I managed to update to version 0.7.1-5. However since a few days vorta won't start and show the following error. However the package python-apscheduler is properly installed.

File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 770, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'apscheduler' distribution was not found and is required by vorta

Might be related to the Manjaro update of this weekend too.

EDIT This was indeed linked to a manjaro upgrade. I had to uninstall python-apscheduler and rebuild both python-appscheduler and vorta. Resolved :)

Tio commented on 2021-01-03 13:30 (UTC)

@HC6505 That worked. Thanks!

HC6505 commented on 2021-01-03 10:18 (UTC)

On Manjaro I had to delete /var/tmp/pamac-build-youruser/vorta/ first and then build again. I was getting the same errors with sha256sum

bjo commented on 2021-01-02 17:01 (UTC)

@Tio: Does your vorta-0.7.1.tar.gz have 2b9ec44daf1929b7fa7f359619324332daa25774562a1d71123c505b9b5006a7 as sha256sum?

Tio commented on 2021-01-02 13:06 (UTC)

Error:

==> Retrieving sources...
  -> Found vorta-0.7.1.tar.gz
==> Validating source files with sha256sums...
    vorta-0.7.1.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!
Failed to build vorta

bjo commented on 2021-01-02 12:19 (UTC)

@tilal6991 Sorry, updpkgsums used the wrong file, updated :)

lalitm commented on 2021-01-02 02:07 (UTC)

The current pkgbuild is throwing SHA256 mismatch errors: ==> Validating source files with sha256sums... vorta-0.7.1.tar.gz ... FAILED ==> ERROR: One or more files did not pass the validity check! error: failed to download sources for 'vorta-0.7.1-4':

bjo commented on 2021-01-01 20:36 (UTC)

@yochananmarqos Thanks for the hints, I've updated the PKGBUILD.

yochananmarqos commented on 2021-01-01 01:06 (UTC) (edited on 2021-01-01 01:25 (UTC) by yochananmarqos)

@bjo: There's a typo in the filename extension. The ZIP is being downloaded but the file extension is .tar.gz.

The translations are missing, see here. qt5-tools are only required during build for compiling the translations.

Please use the included icons and desktop file as well as install the AppData file.

build() {
  cd "$pkgname-$pkgver"
  make translations-to-qm
  python setup.py build
}

package() {
  cd "$pkgname-$pkgver"
  export PYTHONHASHSEED=0
  python setup.py install --root="$pkgdir" --optimize=1 --skip-build

  install -Dm644 package/icon.svg \
    "$pkgdir/usr/share/icons/hicolor/scalable/apps/com.borgbase.Vorta.svg"
  install -Dm644 package/icon-symbolic.svg \
    "$pkgdir/usr/share/icons/hicolor/symbolic/apps/com.borgbase.Vorta-symbolic.svg"
  install -Dm644 "src/$pkgname/assets/metadata/com.borgbase.Vorta.appdata.xml" -t \
    "$pkgdir/usr/share/metainfo"
  install -Dm644 "src/$pkgname/assets/metadata/com.borgbase.Vorta.desktop" -t \
    "$pkgdir/usr/share/applications"
}

paapereira commented on 2020-09-13 14:47 (UTC)

Problem solved. Thanks @bjo for your help.

After upgrading qt5-stylepluginsvorta is working again.

Still, I managed to start it before the package upgrade by QT_STYLE_OVERRIDE=Fusion && vorta.

bjo commented on 2020-09-13 10:34 (UTC)

python-pyqt5 5.15.1 seems to be still in testing, as qt5-tools is already updated. I will ask the maintainer of python-pyqt5 if it can be released.

paapereira commented on 2020-09-13 10:11 (UTC)

I'm having a Cannot mix incompatible Qt library (5.15.0) with this library (5.15.1) error when launching vorta.

$ vorta

(python:14707): Gtk-WARNING **: 10:41:24.192: Unable to locate theme engine in module_path: "clearlooks",

(python:14707): Gtk-WARNING **: 10:41:24.193: Unable to locate theme engine in module_path: "clearlooks",
Cannot mix incompatible Qt library (5.15.0) with this library (5.15.1)
[1]    14707 abort (core dumped)  vorta
pacman -Q vorta qt5-tools python-pyqt5
vorta 0.7.1-2
qt5-tools 5.15.1-1
python-pyqt5 5.15.0-3

Already tried without success:

sudo pacman -U /var/cache/pacman/pkg/qt5-tools-5.15.0-3-x86_64.pkg.tar.zst

bjo commented on 2020-09-11 07:29 (UTC)

Thanks for the hint, updated.

samuel-w commented on 2020-09-11 01:05 (UTC)

The dependencies are incorrect I think: python-keyring and python-qdarkstyle are no longer dependencies. python-secretstorage and python-setuptools are now dependencies.

For reference: https://github.com/borgbase/vorta/blob/9cc23de6bc05b0c40c304bb673e6561c0887fc8f/setup.cfg

jerome2016 commented on 2020-08-31 18:59 (UTC)

Ok, i got it now... should update python-paramiko to version 2.7.2 minimum. It was at 2.7.1-2. thank you @bjo

bjo commented on 2020-08-30 21:14 (UTC)

@audeoudh Thanks for the hint, I forgot updating after your comment.

@jerome2016 does it work now?

jerome2016 commented on 2020-08-30 20:58 (UTC)

2020-08-30 22:54:53,463 - vorta.i18n - DEBUG - Loading translation failed for ['fr', 'fr-FR', 'fr-Latn-FR']. 2020-08-30 22:54:53,470 - apscheduler.scheduler - INFO - Scheduler started 2020-08-30 22:54:53,471 - apscheduler.scheduler - INFO - Added job "VortaScheduler.create_backup" to job store "default" 2020-08-30 22:54:53,471 - vorta.scheduler - DEBUG - New job for profile jerome-laptop-gigabyte was added. 2020-08-30 22:54:53,482 - qdarkstyle - DEBUG - Reading QSS file in: :qdarkstyle/style.qss 2020-08-30 22:54:53,483 - qdarkstyle - INFO - QSS file sucessfuly loaded. 2020-08-30 22:54:53,483 - qdarkstyle - DEBUG - Checking patches for being applied. 2020-08-30 22:54:53,483 - qdarkstyle - INFO - Found application patches to be applied. Traceback (most recent call last): File "/usr/bin/vorta", line 33, in <module> sys.exit(load_entry_point('vorta==0.6.26', 'gui_scripts', 'vorta')()) File "/usr/lib/python3.8/site-packages/vorta/main.py", line 37, in main app = VortaApp(sys.argv, single_app=True) File "/usr/lib/python3.8/site-packages/vorta/application.py", line 60, in init self.open_main_window_action() File "/usr/lib/python3.8/site-packages/vorta/application.py", line 81, in open_main_window_action self.main_window = MainWindow(self) File "/usr/lib/python3.8/site-packages/vorta/views/main_window.py", line 49, in init self.repoTab = RepoTab(self.repoTabSlot) File "/usr/lib/python3.8/site-packages/vorta/views/repo_tab.py", line 55, in init self.init_ssh() File "/usr/lib/python3.8/site-packages/vorta/views/repo_tab.py", line 88, in init_ssh keys = get_private_keys() File "/usr/lib/python3.8/site-packages/vorta/utils.py", line 77, in get_private_keys parsed_key = key_format.from_private_key_file(key_file) File "/usr/lib/python3.8/site-packages/paramiko/pkey.py", line 235, in from_private_key_file key = cls(filename=filename, password=password) File "/usr/lib/python3.8/site-packages/paramiko/rsakey.py", line 55, in init self._from_private_key_file(filename, password) File "/usr/lib/python3.8/site-packages/paramiko/rsakey.py", line 176, in _from_private_key_file self._decode_key(data) File "/usr/lib/python3.8/site-packages/paramiko/rsakey.py", line 194, in _decode_key key = rsa.RSAPrivateNumbers( File "/usr/lib/python3.8/site-packages/cryptography/hazmat/primitives/asymmetric/rsa.py", line 311, in private_key return backend.load_rsa_private_numbers(self) File "/usr/lib/python3.8/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 630, in load_rsa_private_numbers return _RSAPrivateKey(self, rsa_cdata, evp_pkey) File "/usr/lib/python3.8/site-packages/cryptography/hazmat/backends/openssl/rsa.py", line 320, in init raise ValueError("Invalid private key", errors) ValueError: ('Invalid private key', [_OpenSSLErrorWithText(code=67764350, lib=4, func=160, reason=126, reason_text=b'error:040A007E:rsa routines:RSA_check_key_ex:iqmp not inverse of q')]) [1] 92462 segmentation fault (core dumped) vorta

audeoudh commented on 2020-08-21 10:00 (UTC)

As of 0.6.26-1, the package does not support upstream translations. Here is a patch:

diff --git a/PKGBUILD b/PKGBUILD
index ea475ef..6007c96 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,3 +9,3 @@ license=('GPL')
 depends=('borg' 'python-appdirs' 'python-apscheduler' 'python-pyqt5' 'python-peewee' 'python-paramiko' 'python-dateutil' 'python-keyring' 'python-psutil' 'python-llfuse' 'python-qdarkstyle')
-makedepends=('python-setuptools')
+makedepends=('python-setuptools' 'qt5-tools')
 options=(!emptydirs)
@@ -18,2 +18,7 @@ sha256sums=('02a0f69545ea46507291c13ecad0539670d3860585dbbf908a9821a726456df9'

+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make translations-to-qm
+}
+
 package() {

Tio commented on 2020-08-14 22:15 (UTC)

I reported it here too https://github.com/borgbase/vorta/issues/562 ...am not sure what to do more or where to report.

bjo commented on 2020-08-13 17:31 (UTC)

@Tio: I cannot reproduce your issue. Maybe you can ask upstream regarding your timezone issue.

Tio commented on 2020-07-27 11:47 (UTC)

I get this error when trying to start it:

[tio@tio-pc ~]$ vorta
2020-07-27 13:47:04,375 - vorta.i18n - DEBUG - Loading translation failed for ['en', 'en-US', 'en-Latn-US'].
Traceback (most recent call last):
  File "/usr/bin/vorta", line 33, in <module>
    sys.exit(load_entry_point('vorta==0.6.26', 'gui_scripts', 'vorta')())
  File "/usr/lib/python3.8/site-packages/vorta/__main__.py", line 37, in main
    app = VortaApp(sys.argv, single_app=True)
  File "/usr/lib/python3.8/site-packages/vorta/application.py", line 47, in __init__
    self.scheduler = VortaScheduler(self)
  File "/usr/lib/python3.8/site-packages/vorta/scheduler.py", line 20, in __init__
    super().__init__()
  File "/usr/lib/python3.8/site-packages/apscheduler/schedulers/base.py", line 87, in __init__
    self.configure(gconfig, **options)
  File "/usr/lib/python3.8/site-packages/apscheduler/schedulers/base.py", line 126, in configure
    self._configure(config)
  File "/usr/lib/python3.8/site-packages/apscheduler/schedulers/base.py", line 697, in _configure
    self.timezone = astimezone(config.pop('timezone', None)) or get_localzone()
  File "/usr/lib/python3.8/site-packages/tzlocal/unix.py", line 165, in get_localzone
    _cache_tz = _get_localzone()
  File "/usr/lib/python3.8/site-packages/tzlocal/unix.py", line 90, in _get_localzone
    utils.assert_tz_offset(tz)
  File "/usr/lib/python3.8/site-packages/tzlocal/utils.py", line 46, in assert_tz_offset
    raise ValueError(msg)
ValueError: Timezone offset does not match system offset: 10800 != 7200. Please, check your config files.

bjo commented on 2020-03-13 12:01 (UTC)

Please report this upstream.

r0b0t commented on 2020-03-13 11:49 (UTC) (edited on 2020-03-13 11:49 (UTC) by r0b0t)

I had few problems with the app and this is not the first time... I tried now a clean install and when trying to click "Vorta for Borg Backup" the application crashes https://hastebin.com/iwitajihuv.m

bjo commented on 2020-01-15 10:53 (UTC)

@raulo.olapodrido If this happens with a clean install of vorta report it upstream please.

raulo.olapodrido commented on 2020-01-14 13:54 (UTC)

I am getting this error directly after start:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/vorta/application.py", line 115, in set_borg_details_result
    borg_compat.set_version(result['data']['version'], result['data']['path'])
TypeError: string indices must be integersTraceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/vorta/application.py", line 115, in set_borg_details_result
    borg_compat.set_version(result['data']['version'], result['data']['path'])
TypeError: string indices must be integers

leebut commented on 2019-08-19 23:32 (UTC) (edited on 2019-08-19 23:33 (UTC) by leebut)

Is this a package or installed Python problem? Using Trizen to install.

File "setup.py", line 1, in <module>
from setuptools import setup, find_packages
ModuleNotFoundError: No module named 'setuptools'

==> ERROR: A failure occurred in package().
    Aborting...
:: Unable to build vorta - makepkg exited with code: 4

hwaiting commented on 2019-07-12 07:05 (UTC)

@bjo: Thanks for trying. Vorta is a Qt app though, so more likely a Qt theme issue.

Also seems to be limited to the dark theme setting.

bjo commented on 2019-07-11 20:02 (UTC)

@hwaiting: I can't, menu looks normal. I would assume a GTK issue.

hwaiting commented on 2019-07-11 13:17 (UTC)

Can anyone reproduce this issue [1]? The current profile in the profile selection menu is oversized.

[1] https://github.com/borgbase/vorta/issues/326

Tio commented on 2019-02-02 10:58 (UTC)

The icon in Gnome is very low quality. So you know :D

bjo commented on 2019-02-02 09:21 (UTC)

@haawda: Done!

haawda commented on 2019-02-02 09:08 (UTC)

Please rename the downloaded zipfile in the source array so that it includes the package name.

bjo commented on 2019-01-24 16:37 (UTC)

Thanks for the hint, dependency added.

aps42 commented on 2019-01-24 15:23 (UTC) (edited on 2019-07-25 20:22 (UTC) by aps42)

6.6-1 startup fails with: pkg_resources.DistributionNotFound: The 'qdarkstyle' distribution was not found and is required by vorta

After installing 'python-qdarkstyle' everything works as expected. As I changed the default settings from light to dark theme, this seems to be related to this.

So maybe add 'python-qdarkstyle' as dependency?

brokenpip3 commented on 2018-12-17 20:03 (UTC) (edited on 2018-12-17 20:03 (UTC) by brokenpip3)

the package "python-llfuse" is needed for mounting backup.

The error on log was:

ERROR - borg mount not available: loading FUSE support failed [ImportError: No module named 'llfuse']

Cheers

KarlFiabeschi commented on 2018-12-14 10:21 (UTC)

python-psutil is needed as pointed here: https://github.com/borgbase/vorta/issues/90#issuecomment-447221564

brokenpip3 commented on 2018-12-05 22:28 (UTC)

Hi there, i add the desktop file and icon:

https://gist.github.com/brokenpip3/0ea26e0f5fc7bd5f061df1efe1594291

bjo commented on 2018-12-03 17:02 (UTC)

Thanks for the hint, fixed.

yochananmarqos commented on 2018-12-03 16:54 (UTC) (edited on 2018-12-03 17:07 (UTC) by yochananmarqos)

python-pip is not required as you're building from source, not via pip. python-setuptools is used, but it's already a dependency of borg.